Subject: bug#53668: Updating substitutes on LAN hosts dies unexpectedly

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 11 May 2022 21:17:14 -0400

Hi Maxime,

Maxime Devos <[email-masked]> writes:

> Ludovic Courtès schreef op wo 11-05-2022 om 16:58 [+0200]:
>> However, this may well be this ‘guix publish’ bug that was recently
>> fixed, whereby ‘guix publish’ without ‘--cache’ would send bogus HTTP
>> replies:
>> 
>>   https://issues.guix.gnu.org/54723
>> 
>> Could you confirm?
>> 
>> Ludo’.
>
> Even then, the error message says ‘wrong type error ...’, shouldn't it
> say something like ‘bogus HTTP’ or ‘bogus narinfo’ or such instead?

I agree that a more accurate error message would have been useful.  If
you have the bandwidth for a patch, I'd be more than happy reviewing it
:-).

Thanks,

Maxim